### Home Classes Methods

### In Files

- lib/ffi/struct.rb

### Parent

StructByReference

### Methods

- ::new
- #from_native

### Files

- Makefile
- ChangeLog
- LICENSE
- README
- compile
- configure
- depcomp
- stamp-vti
- install-sh
- libtool-version
- mdate-sh
- missing

### Class/Module Index

Quicksearch

- FFI
- FFI::AutoPointer
- FFI::AutoPointer::CallableReleaser
- FFI::AutoPointer::DefaultReleaser
- FFI::AutoPointer::Releaser
- FFI::ConstGenerator
- FFI::ConstGenerator::Constant
- FFI::Enum
- FFI::Enums
- FFI::Function
- FFI::Generator
- FFI::Generator::Task
- FFI::IO
- FFI::Library
- FFI::ManagedStruct
- FFI::NotFoundError
- FFI::Platform
- FFI::PlatformError
- FFI::Pointer
- FFI::StrPtrConverter
- FFI::Struct
- FFI::Struct::ManagedStructConverter
- FFI::StructByReference
- FFI::StructGenerator
- FFI::StructGenerator::Field
- FFI::StructLayout
- FFI::StructLayout::Enum
- FFI::StructLayout::InnerStruct
- FFI::StructLayout::Mapped
- FFI::StructLayoutBuilder
- FFI::TypesGenerator
- FFI::Union
- FFI::VariadicInvoker

No matching classes.

# FFI::Struct::ManagedStructConverter

### Public Class Methods

new(struct_class) click to toggle source

@param [Struct] struct_class

    # File lib/ffi/struct.rb, line 199
    def initialize(struct_class)
      super(struct_class)

      raise NoMethodError, "release() not implemented for class #{struct_class}" unless struct_class.respond_to? :release
      @method = struct_class.method(:release)
    end

### Public Instance Methods

from_native(ptr, ctx) click to toggle source

@param [Pointer] ptr @param [nil] ctx @return [Struct]

    # File lib/ffi/struct.rb, line 209
    def from_native(ptr, ctx)
      struct_class.new(AutoPointer.new(ptr, @method))
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.